# `abacusai.prediction_dataset`

## Module Contents

### Classes

`PredictionDataset` | Batch Input Datasets

class abacusai.prediction_dataset.PredictionDataset(client, datasetId=None, datasetType=None, datasetVersion=None, default=None, required=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Batch Input Datasets

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - datasetId (str) – The unique identifier of the dataset

    - datasetType (str) – dataset type

    - datasetVersion (str) – The unique identifier of the dataset version used for predictions

    - default (bool) – If true, this dataset is the default dataset in the model

    - required (bool) – If true, this dataset is required for the batch prediction

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict